Subject: bug#28881: closed (Re: bug#28881: sed guide mistake)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 18 Oct 2017 00:54:02 +0000

Your bug report

#28881: sed guide mistake

which was filed against the sed package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28881: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=28881
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#28881: sed guide mistake
From: Assaf Gordon <[email-masked]>
To: Jim Meyering <[email-masked]>
Cc: [email-masked], Nick Chambers <[email-masked]>
Date: Tue, 17 Oct 2017 18:53:16 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2017-10-17 05:48 PM, Jim Meyering wrote:
> On Tue, Oct 17, 2017 at 3:50 PM, Assaf Gordon <[email-masked]> wrote:
>> On 2017-10-17 01:52 PM, Nick Chambers wrote:
>>>
>>> sed -i 's/hello/world' file.txt
>>
>> Attached is a fix.
> 
> Clearly necessary and correct. Thank you both.

Thanks, pushed here:
  https://git.savannah.gnu.org/cgit/sed.git/commit/?id=9f99a4f51

Subject: sed guide mistake
From: Nick Chambers <[email-masked]>
To: [email-masked]
Date: Tue, 17 Oct 2017 14:52:06 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello! In the GNU guide for SED:
https://www.gnu.org/software/sed/manual/sed.html#Introduction, I see
the following:

sed -i 's/hello/world' file.txt

However on my ubuntu machine I get the following:

nchambers@dev-server:~$ sed --version
sed (GNU sed) 4.4
Copyright (C) 2017 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Jay Fenlason, Tom Lord, Ken Pizzini,
and Paolo Bonzini.
GNU sed home page: <http://www.gnu.org/software/sed/>.
General help using GNU software: <http://www.gnu.org/gethelp/>.
E-mail bug reports to: <[email-masked]>.
nchambers@dev-server:~$ cat file.txt
hello world
this is a message
good day!
nchambers@dev-server:~$ sed -i 's/hello/world' file.txt
sed: -e expression #1, char 13: unterminated `s' command
nchambers@dev-server:~$

it works fine if I do

sed -i 's/hello/world/' file.txt

Thanks all!